/* main.css */

body, html { 
    height: 100%;
    padding: 0;
    margin: 0;
    font-family: 'Roboto', sans-serif;
    overflow-y: auto;
}

#header {
    position: fixed;
    top: 0;
    left: 0;
    background-color: #E0E0E0;

    font-size: 16px;
    z-index: 9;
    width: 100%;

    height: 70px;
}

#header .logotype img {
    width: 180px;
    height: 40px;
    border: 0px; /* for IE9, IE10 */
}

#header .header-content {
    overflow-y: hidden;
    width: 850px;

    top: 0;
    left: 0;

    margin: 0px auto;
    height: 70px;

}

#header .bar {
    display: table;
    height: 100%;
}

#header .left, #header .right {
    display: table-cell;
    vertical-align: middle;
}

#header .left {
    width: 100%;
}

#header .items {
    display: table;
}

#header .item {
    display: table-cell;
    white-space: nowrap;
    padding: 0 5px;
}

#header .menu-button {
    display: none;
    font-size: 20px;
    cursor: pointer;
}

#header .menu-button .open {
    font-weight: 700;
}

#header .menu-button .close {
    display: none;
}

#header .menu {
    display: none;
    position: fixed;
    top: 70px;
    right: 16px;
    padding: 16px;
    background-color: #F0F0F0;
    box-shadow: 0 6px 20px 0 rgba(0,0,0,0.65);
    border-radius: 6px;    
    z-index: 1000;
}

#header .menu ul{
    padding: 0;
    margin: 5px;
    list-style: none;
}

#header .menu li{
    margin-top: 30px;
}

#header .menu li:first-child {
    margin-top:0;
}

#content {
    position: absolute;
    top: 70px;
    left: 0;

    font-size: 16px;

    width: 100%;
    overflow-x: hidden;
}

#content h1 {
    font-size: 28px;
}

#content h2 {
    font-size: 20px;
}

.inner-content {
    margin: 0px auto;
    width: 850px;
}

#title-container {
    background-color: #FFFFFF;
}

.title {
    padding: 10px 0;

    background-color: white;

}

.title p.button {
    text-align: center;
}

#screenshot-container {
    background-color: #F5F5F5;
    padding: 20px 0;
}

.carousel-container {
    position: relative;
    margin: 0px auto;
    width: 800px;
    height: 470px;
}

.carousel {
    position: absolute;
    margin: 0px 15px;
}

.carousel .screenshot {
    display: none;
    filter: drop-shadow(5px 5px 5px #222);
}

.carousel .screenshot img{
    width: 100%;
}

.carousel .screenshot.active {
    display: block;
}

.carousel-navigation-wrapper {
    text-align:center;
    width: 100%; /* fallback */
    width: 100vw;
}

.carousel-navigation {
    display: inline-block;
}

.carousel-navigation .dot {
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
}

.carousel-navigation .dot:not(:first-child) { 
    margin-left: 30px;
}

.carousel-navigation .dot.active, .carousel-navigation .dot:hover {
    background-color: #717171;
}

#features {
    background-color: #FFFFFF;
}

.features-content {
    padding: 10px 0;
}

#footer {

    background-color: #808080;
    color: white;
    text-align: center;
}

.footer-content {
    padding: 20px 10px 20px 10px;
}

.footer-content .item {
    color: white;
    display: inline-block;
    padding: 5px 0;
    margin-right: 5px;
}

a {
    color: black;
}

a:link {
    text-decoration: none;
}

a:visited {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

a:active {
}

a.default{
    text-decoration: none;
    color: blue;
}

a.default:hover{
    text-decoration: underline;
}

a.button {
    font-weight: 400;
    padding: 4px 13px;
    border-radius: 5px;
    white-space: nowrap;    
    text-decoration: none;
}

a.signup {
    background-color: #0ca300;
    color: #fff;
    border: 1px solid transparent;
}

a.signup:hover {
    background-color: #0b0;
    color: #fff;
}

a.login,
a.support {
    color: #000000;
}

a.login:hover,
a.support:hover {
    background-color: #fff;
}

/******************* JS disable warning *******************************/

.ns {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #FFFFFF;
    z-index: 1000; 
}

.ns-warning {
    padding: 10px;
    margin-bottom: 20px;
    background-color: #FF8A80;
}


/******************* Sub Pages *******************************/

.transaction {
    background-color: #F2F2F2;
    text-align: center;
}

.transaction a {
    color: #337AC6;
}

.transaction a:link {
    text-decoration: underline;
}

.transaction .page-content {
    font-size: 1em;
}

.transaction .page-logo {
    font-size: 1.75em;
    font-weight: 700;
    margin-top: 30px;
    margin-bottom: 30px;
}

.transaction .page-logo a {
    color: black;
    text-decoration: none;
}

.transaction .page-logo a:hover{
    text-decoration: underline;
}

.transaction .page-form {
    display: inline-block;
    text-align: center;
    background-color: #FFFFFF;
    padding: 15px 15px 30px 15px;
    max-width: 500px;
    text-align: left;

}

.transaction .page-form h2 {
    text-align: center;
}

.transaction .page-form h2.success {
    color: white;
    background-color: #228B22;
    padding: 15px 15px;
}

.transaction .page-form h2.error {
    color: white;
    background-color: #FF1744;
    padding: 15px 0;
}

.transaction .page-form p {
    line-height: 1.25;
}

.transaction form {
    text-align: left;
}

.transaction #error-message,
.contact #error-message {
    display: none;
    color: #000000;
    background-color: #FFEBEE;
    line-height: 1.25em;
    border: 1px solid #FF0000;
    padding: 10px;
    padding-top: 10px;
    margin-bottom: 15px;
    overflow-wrap: break-word;
    word-wrap: break-word;
    white-space: normal;
}

.transaction #error-message a {
    font-weight: 700;
}

.transaction label {
    display: block;
    margin-bottom: 0.5em;
}

.transaction label.option {
    display: inline;
}

.transaction .page-form input[type="text"],
.transaction .page-form input[name="password"] {
    font-size: 1em;
    padding: 8px 10px;
    margin: 4px 0 15px 0;
    display: inline-block;
    border: 1px solid #CCCCCC;
    border-radius: 4px;
    box-sizing: border-box;
    width: 100%;
}

.transaction .page-form input[name="password"] {
    display: inline-block;
    width: -webkit-calc(100% - 60px);
    width:    -moz-calc(100% - 60px);
    width:         calc(100% - 60px);
}

/*.transaction button.toggle-password-type {
    display: inline-block;
    width: 50px;
    padding: 30px 11px 18px 11px;
    border: none;
    border-radius: 0px;
    color: black;
    background-color: #FFFFFF;
    cursor: pointer;
    text-align: center;
}*/

.transaction a.toggle-password-type {
    text-decoration: none;
    padding: 15px 10px 15px 40px;
}

.transaction a.toggle-password-type:hover {
    background-color: #EEEEEE;
}

.transaction .toggle-password-type.show-password {
    background: url(../images/show-password.png) no-repeat center center;
}

.transaction .toggle-password-type.hide-password {
    display: none;
    background: url(../images/hide-password.png) no-repeat center center;
}

.transaction button.toggle-password-type:hover {
    background-color: #EEEEEE;
}

.transaction .submit-button-wrapper {
    text-align: center;
}

.transaction #submit-button,
.contact #submit-button {
    display: inline-block;
    font-size: 1em;
    background-color: #43A047;
    color: #FFFFFF;
    font-weight: 700;
    text-align: center;
    border: 1px solid #1b9949;
    border-radius: 4px;
    padding: .5em 2em;
    margin-top: 2em;
}

.transaction #submit-button:hover,
.contact #submit-button:hover {
    background-color: #2E7D32;
    cursor: pointer;
}

.transaction #submit-button:disabled,
.transaction #submit-button[disabled],
.contact #submit-button:disabled,
.contact #submit-button[disabled]
{
    border: 1px solid #999999;
    background-color: #cccccc;
    color: #666666;
}

.transaction #submit-button:disabled:hover,
.transaction #submit-button[disabled]:hover,
.contact #submit-button:disabled:hover,
.contact #submit-button[disabled]:hover
{
    cursor: not-allowed;
}

.transaction .appendix {
    margin: 20px 20px;
}

.captcha-wrapper {
    text-align: center;
    margin-top: 30px;
}

.g-recaptcha {
    display: inline-block;
}

.legal h1{
    font-size: 22px;
    padding-top: 20px;
}

.legal h2{
    font-size: 18px;
    padding-top: 18px;
}

.legal li{
    margin-top: 5px;
}

.legal li:first-child {
    margin-top:0;
}

.legal .inner-content{
    padding-bottom: 20px;
}

.legal .conspicuous{
    text-transform: uppercase;
}

.contact .ns {
    position: relative;
}

.contact form {
    padding-bottom: 20px;
}

.contact form input[type="text"],
.contact form textarea {
    font-size: 1em;
    padding: 8px 10px;
    margin: 4px 0 15px 0;
    display: inline-block;
    border: 1px solid #CCCCCC;
    border-radius: 4px;
    box-sizing: border-box;
    width: 100%;
}

.contact form .note {
    font-size: 0.75em;
}

.contact .success {
    margin-bottom: 20px;
    padding: 10px;
    background-color: #DBEFD8;
    color: #007545;
    border: 1px solid #007545;
    border-radius: 5px;
}

.mobile .inner-content {
    padding-bottom: 20px;
}

.mobile a {
    text-decoration: none;
}

.mobile img.download-app {
    width: 150px;
    border: 0px; /* for IE9, IE10 */
}

.mobile img.app-image {
    max-width: 100%;
}

.mobile a.android {
    margin-left: 20px;
}

/******************* Media Queries *******************************/

@media (max-width: 849px) { 

    #header .header-content {
        overflow-x: auto;
        width: 100%;
    }

    #header .left {
        padding-left: 10px;
    }

    #header .right {
        padding-right: 10px;
    }

    .inner-content {
        width: auto;
        padding: 20px 10px;
    }

}

@media (max-width: 699px) { 

    #header .default-items {
        display: none;
    }

    #header .menu-button {
        display: block;
    }

    #content h1 {
        font-size: 22px;
    }

    #content h2 {
        font-size: 18px;
    }

}

@media (max-width: 399px) { 

    #header,
    #header .header-content {
        height: 60px;
    }

    #header .menu,
    #content {
        top: 60px;
    }

    #header .item.logotype img{
        width: 135px;
        height: 30px;
    }

}

@media (max-width: 299px) { 

    .carousel-navigation .dot:not(:first-child) { 
        margin-left: auto;
    }

    #header .menu {
        right: initial;
        left: 0;
    }

}
